=== debian/changelog ===
python-scrapli (2023.7.30-2) unstable; urgency=medium

  * Rebuilt source-only.

 -- Thomas Goirand <zigo@debian.org>  Wed, 08 Nov 2023 14:18:32 +0100

python-scrapli (2023.7.30-1) unstable; urgency=medium

  * Initial release. (Closes: #1051838)

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Sep 2023 10:37:16 +0200
