=== debian/control ===
Source: python-scrapli
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-poetry-core,
 python3-setuptools,
Build-Depends-Indep:
 python3-asyncssh,
 python3-mypy,
 python3-paramiko,
 python3-pyfakefs,
 python3-pytest,
 python3-pytest-asyncio,
 python3-scrapli-replay,
 python3-textfsm,
 python3-toml,
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/openstack-team/python/python-scrapli
Vcs-Git: https://salsa.debian.org/openstack-team/python/python-scrapli.git
Homepage: https://github.com/carlmontanari/scrapli

Package: python3-scrapli
Architecture: all
Depends:
 python3-asyncssh,
 python3-paramiko,
 python3-textfsm,
 ${misc:Depends},
 ${python3:Depends},
Description: sync/async screen scraping client specifically for network devices
 scrapli (or scrap(e c)li) is a python library focused on connecting to
 devices, specifically network devices (routers/switches/firewalls/etc.) via
 Telnet or SSH.
